Tin An Ninh Mạng

Lỗ hổng RCE trong Libcue của GNOME

hacker 2
Linux vừa gây chấn động bởi lỗ hổng “Looney Tunables” thì 10 ngày sau đã xuất hiện thêm một lỗ hổng mới nghiêm trọng không kém liên quan đến hỏng bộ nhớ trong thư viện mã nguồn mở Libcue.


{

}

1697189429361.png

Ảnh: omgubuntu

Lỗ hổng có mã định danh CVE-2023-43641, điểm CVSS 8,8 tồn tại trong Libcue, thư viện được tạo ra để phân tích các tệp tin có phần mở rộng là .CUE (một văn bản hiển thị thông tin từng bản nhạc trên đĩa CD: tên bài hát, thời gian mỗi ca khúc…). Libcue được sử dụng bởi một công cụ tìm kiếm có tên Tracker-Miners, công cụ này được GNOME (GNU Network Object Model Environment) sử dụng để lập chỉ mục (index) các tệp trong thư mục chính nhằm giúp việc tìm kiếm hiệu quả hơn.

CVE-2023-43641 có thể cho phép kẻ tấn công thực thi mã tùy ý trên các hệ thống Linux sử dụng môi trường desktop GNOME.

Tuy nhiên, điều kiện để khai thác thành công là nạn nhân phải tải xuống và kích hoạt tệp CUE độc hại.

Nhà nghiên cứu phát hiện ra lỗ hổng này cho biết: “CVE-2023-43641 tồn tại trong một thư viện tưởng chừng vô hại nhưng có thể gây ra ảnh hưởng lớn khi cho phép thực thi mã từ xa chỉ với 1 cú nhấp chuột. Nếu bạn đang sử dụng GNOME, hãy cập nhật ngay hôm nay.”

Hiện đã có mã khai thác (PoC) cho CVE-2023-43641, tuy nhiên thông tin chi tiết sẽ chưa được công bố để tất cả người dùng GNOME có thời gian cập nhật bản vá và củng cố hệ thống an ninh của mình.

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !